## elfkickers 0+git20240221+ds

=== debian/changelog ===
elfkickers (0+git20240221+ds-5) unstable; urgency=medium

  * d/control: add missing build-depends: dh-exec.

 -- Alex Myczko <tar@debian.org>  Sat, 18 May 2024 13:54:19 +0200

elfkickers (0+git20240221+ds-4) unstable; urgency=medium

  * Really fix the file conflict.

 -- Alex Myczko <tar@debian.org>  Sat, 18 May 2024 05:32:46 +0000

elfkickers (0+git20240221+ds-3) unstable; urgency=medium

  * d/install: to right location. (Closes: #1071241)
  * d/control: avoid file conflict. (Closes: #1071243)
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Fri, 17 May 2024 08:49:14 +0000

elfkickers (0+git20240221+ds-2) unstable; urgency=medium

  * d/rules: override auto install. (Closes: #1071191)

 -- Alex Myczko <tar@debian.org>  Thu, 16 May 2024 12:21:26 +0000

elfkickers (0+git20240221+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1064381)

 -- Gürkan Myczko <tar@debian.org>  Wed, 21 Feb 2024 06:03:43 +0100
