=== elfls/Makefile ===
#  Makefile for elfls

elfls: elfls.c
	gcc -ggdb -Wall -W -o elfls elfls.c

clean:
	rm -f elfls
