=== rebind/Makefile ===
#  Makefile for rebind

rebind: rebind.c
	gcc -ggdb -Wall -W -o rebind rebind.c

clean:
	rm -f rebind
