=== sstrip/Makefile ===
#  Makefile for sstrip

sstrip: sstrip.c
	gcc -ggdb -Wall -W -o sstrip sstrip.c

clean:
	rm -f sstrip
