## elfkickers 3.2%2Bds

=== debian/changelog ===
elfkickers (3.2+ds-1) unstable; urgency=medium

  * Apply patch to fix FTBFS. (Closes: #1119690)
    Thanks Adrian Bunk.
  * Fix upstream versioning.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Fri, 31 Oct 2025 08:18:19 +0100

elfkickers (0+git20240221+ds-6) unstable; urgency=medium

  * Build using default build flags. (Closes: #1119405)

 -- Alex Myczko <tar@debian.org>  Thu, 30 Oct 2025 08:45:00 +0100
