=== infect/Makefile ===
#  Makefile for infect

CC = gcc
CFLAGS = -Wall -Wextra

infect: infect.c

clean:
	rm -f infect
