=== debian/control ===
Source: elfkickers
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec
Standards-Version: 4.7.0
Homepage: https://github.com/BR903/ELFkickers
Vcs-Browser: https://salsa.debian.org/debian/elfkickers
Vcs-Git: https://salsa.debian.org/debian/elfkickers.git

Package: elfkickers
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: websockify
Description: collection of programs that access and manipulate ELF files
 This distribution is a collection of programs that are generally
 unrelated, except in that they all deal with the ELF file format.
 .
 The main purpose of these programs is to be illustrative and
 educational -- to help fellow programmers understand the ELF file
 format and something of how it works under the Linux platform. For the
 most part, these programs have limited real-world utility.
 .
 With the exception of shared use of the elfrw static library, each
 program is independent of the others. There is no other shared code
 between them, and they all take slightly different approaches to
 handling ELF files.
